Module javafx.base
Package javafx.beans.property

# Class ReadOnlyStringWrapper

java.lang.Object
javafx.beans.binding.StringExpression
javafx.beans.property.ReadOnlyStringProperty
javafx.beans.property.StringProperty
javafx.beans.property.StringPropertyBase
javafx.beans.property.SimpleStringProperty
javafx.beans.property.ReadOnlyStringWrapper

All Implemented Interfaces:
  `Observable`, `Property<String>`, `ReadOnlyProperty<String>`, `ObservableObjectValue<String>`, `ObservableStringValue`, `ObservableValue<String>`, `WritableObjectValue<String>`, `WritableStringValue`, `WritableValue<String>`

    public class ReadOnlyStringWrapper
    extends SimpleStringProperty

This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReadOnlyStringWrapper()` | The constructor of `ReadOnlyStringWrapper`
  `ReadOnlyStringWrapper​(Object bean, String name)` | The constructor of `ReadOnlyStringWrapper`
  `ReadOnlyStringWrapper​(Object bean, String name, String initialValue)` | The constructor of `ReadOnlyStringWrapper`
  `ReadOnlyStringWrapper​(String initialValue)` | The constructor of `ReadOnlyStringWrapper`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
  `ReadOnlyStringProperty` | `getReadOnlyProperty()` | Returns the readonly property, that is synchronized with this `ReadOnlyStringWrapper`.

  ### Methods inherited from class javafx.beans.property.SimpleStringProperty

  `getBean, getName`

  ### Methods inherited from class javafx.beans.property.StringPropertyBase

  `addListener, addListener, bind, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods inherited from class javafx.beans.property.StringProperty

  `bindBidirectional, bindBidirectional, bindBidirectional, setValue, unbindBidirectional, unbindBidirectional`

  ### Methods inherited from class javafx.beans.binding.StringExpression

  `concat, getValue, getValueSafe, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, isEmpty, isEqualTo, isEqualTo, isEqualToIgnoreCase, isEqualToIgnoreCase, isNotEmpty, isNotEqualTo, isNotEqualTo, isNotEqualToIgnoreCase, isNotEqualToIgnoreCase, isNotNull, isNull, length, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, stringExpression`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javafx.beans.value.ObservableValue

  `getValue`

  ### Methods inherited from interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### ReadOnlyStringWrapper

    public ReadOnlyStringWrapper()
    The constructor of `ReadOnlyStringWrapper`

  - ### ReadOnlyStringWrapper

    public ReadOnlyStringWrapper​(String initialValue)
    The constructor of `ReadOnlyStringWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlyStringWrapper

    public ReadOnlyStringWrapper​(Object bean, String name)
    The constructor of `ReadOnlyStringWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyStringProperty`
      `name` - the name of this `ReadOnlyStringProperty`

  - ### ReadOnlyStringWrapper

    public ReadOnlyStringWrapper​(Object bean, String name, String initialValue)
    The constructor of `ReadOnlyStringWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyStringProperty`
      `name` - the name of this `ReadOnlyStringProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlyStringProperty getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlyStringWrapper`.
    Returns:
      the readonly property

  - ### fireValueChangedEvent

    protected void fireValueChangedEvent()
    Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `StringPropertyBase.set(java.lang.String)` or in case of a bound property, if the binding becomes invalid.
    Overrides:
      `fireValueChangedEvent` in class `StringPropertyBase`